Core - Bug # 41938

Status: Resolved Priority: Must have

Author: Steffen Mller Category: Logging

Created: 2012-10-12 Assigned To: Steffen Gebert

Updated: 2012-10-28 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Rename Log Interfaces "Writer" and "Processor” to "WriterInterface" and "Processorlnterface”

Description

When parsing the Logging API with the class parser for adding namespaces, the interfaces somehow got wrong names.

We have

- "Writer" instead of "WriterInterface" in TYPO3\CMS\Core\Log\Writer and
- "Processor" instead of "Processorinterface" in TYPO3\CMS\Core\Log\Processor

The interfaces should be renamed (including the filename) and get adapted in all classes which implement these interfaces.

IMHO this is a RC critical bug, because it will be a breaking change in future releases.

Related issues:
related to Core - Task # 40095: Move core to namespaces

Resolved 2012-08-23 2012-09-18

Associated revisions

Revision e19941f0 - 2012-10-28 10:52 - Steffen Miiller

[BUGFIX] Rename Log Writer and Processor interface

Resolves: #41938
Releases: 6.0

Change-Id: 1977d9ab1413078adfalea46055d389f2f1eaabf6
Reviewed-on: http:/review.typo3.org/15543

Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

History

#1 - 2012-10-12 22:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15543

#2 - 2012-10-13 00:58 - Steffen Miiller

Please mark this issue a sub-task of #40095
#3 - 2012-10-28 10:52 - Steffen Gebert
- Assigned To set to Steffen Gebert
- Target version set to 6.0.0-RC1

#4 - 2012-10-28 11:30 - Steffen Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e19941f03bdf1cc00686f108cf43c5934f014258.
